#ifndef TALKABLE_HPP_INCLUDED
#define TALKABLE_HPP_INCLUDED

#include "Nameable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Talkable : public Nameable
    {
        public:
            Talkable();
            Talkable(const void* Obj);
            Talkable(const Talkable& T);
            static Class GetClass();

            std::int32_t GetRank() const;
            std::int32_t GetWorld() const;

    };
}

#endif // TALKABLE_HPP_INCLUDED
